Source: obsub
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-pytest <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/milibopp/obsub
Vcs-Browser: https://salsa.debian.org/python-team/packages/obsub
Vcs-Git: https://salsa.debian.org/python-team/packages/obsub.git
Testsuite: autopkgtest-pkg-python

Package: python3-obsub
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3.x module that implements the observer pattern via a decorator
 The @event decorator makes functions or methods "observable". Consuming code
 can subscribe callbacks to these decorated callables, and the callbacks will be
 triggered every time the callables are invoked.
